Skip to main content
Version: 7.2605.x.x LTS

nevisIDM Notification REST API

Introduction​

The nevisIDM Notification REST API enables to send notifications to users.

Notification sending​

Service to send notification to users.

Send Notification To User DTO​

The Send Notification To User DTO has the following parameters:

Mandatory​

  • clientExtId - The external ID of the client to which the user belongs (string).
  • userExtId - The external ID of the user to send the notification (string).
  • notificationType - Communication event type (string). Supported values are userNotification1-userNotification20 and nevisAdaptNotification.

Optional​

  • sendingMethod - Array of sending methods. Order of the values also defines the fallback order (array of string, default:Email). Supported values are Email and HTMLemail.
  • async - Defines whether the communication should happen immediately or via the EventQueue (boolean, default:false).
  • placeholders - Language specific placeholder key-value pairs that also contains a languageIndependent part to be used for all languages. All placeholders have to start with EXTERNAL prefix (map<string, map<string, string>>).

Send notifications​

Send notification to user

POST /

Send notification to a user with the defined notificationType and sendingMethod.

since 2.78​

Required permissions​

  • AccessControl.UserView

Example URI​

POST https://your-host/nevisidm/api/notification/v1/

Request​

  • Headers: Content-Type: application/json
  • Body:
{
"clientExtId": "100",
"userExtId": "88881051",
"notificationType": "UserNotification2",
"sendingMethod": [
"Email"
],
"async": false,
"placeholders": {
"en": {
"EXTERNAL_CITY": "Vienna"
},
"de": {
"EXTERNAL_CITY": "Wien"
},
"languageIndependent": {
"EXTERNAL_IP_ADDRESS": "173.170.190.74"
}
}
}

Response 204​

  • Headers: Content-Type: application/json

Notification types​

Get notification types

GET /system/notification-types/

Returns the available notification types.

since 2.79​

Required permissions​

No permissions are required to use this service.

Example URI​

GET https://your-host/nevisidm/api/notification/v1/system/notification-types/

Response 200​

  • Headers: Content-Type: application/json
  • Body:
{
"items": [
"userNotification1",
"userNotification2",
"userNotification3",
"userNotification4",
"userNotification5",
"userNotification6",
"userNotification7",
"userNotification8",
"userNotification9",
"userNotification10",
"userNotification11",
"userNotification12",
"userNotification13",
"userNotification14",
"userNotification15",
"userNotification16",
"userNotification17",
"userNotification18",
"userNotification19",
"userNotification20",
"nevisAdaptNotification"
]
}